DetachedTextEditor
Keywords: uk.ac.ic.doc.automed.editor.DetachedTextEditor class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.editor
Class DetachedTextEditor

    java.lang.Object
      javax.swing.AbstractCellEditor
          uk.ac.ic.doc.automed.editor.TextEditor
              uk.ac.ic.doc.automed.editor.DetachedTextEditor

All Implemented Interfaces:
  java.io.Serializable, javax.swing.CellEditor, javax.swing.table.TableCellEditor

    public class DetachedTextEditor

extends TextEditor

Another editor class for displaying table's cell value. Unlike `TextEditor` which inserts the editor control into the selected cell, this editor class displays a separate dialog box on the screen at the location of the cell. The advantage of this approach is the ability to customise the display text area's dimenssions

This class implements method getTableCellRendererComponent() of the `TableCellRenderer` interface in order to return a text area for cell's text display

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractCellEditor
`changeEvent, listenerList`

Constructor Summary
`DetachedTextEditor(javax.swing.JFrame parentFrame)`

Method Summary
`void` | `display(javax.swing.JTable table, int row, int col)` show this text editor
`void` | `hide()` Hide the text editor dialog
`void` | `removeButtons(java.awt.Component comp, int indent)` Remove control buttons (close, maximise, etc.) from dialog (and frame) component Adapted from the code example at http://forum.java.sun.com

Methods inherited from class uk.ac.ic.doc.automed.editor.TextEditor
`calculateCellValueLength, getCellEditorValue, getScrollPane, getSelectedValue, getTableCellEditorComponent, getTextArea, resetEditor`

Methods inherited from class javax.swing.AbstractCellEditor
`addCellEditorListener, cancelCellEditing, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, cancelCellEditing, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Constructor Detail

### DetachedTextEditor

    public DetachedTextEditor(javax.swing.JFrame parentFrame)

Method Detail

### removeButtons

    public void removeButtons(java.awt.Component comp,
                              int indent)

  Remove control buttons (close, maximise, etc.) from dialog (and frame) component Adapted from the code example at http://forum.java.sun.com

### display

    public void display(javax.swing.JTable table,
                        int row,
                        int col)

  show this text editor

### hide

    public void hide()

  Hide the text editor dialog

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD